# PhasicFlow: src/setHelpers/initialize_Control.hpp File Reference

initialize_Control.hpp File Reference
Include dependency graph for initialize_Control.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

| REPORT (0)<<"\nCreating Control repository . . ."<< endREPORT
| if (isCoupling)

## Variables

pFlow::uniquePtr< pFlow::systemControl > | ControlPtr = nullptr
| else
auto & | Control = ControlPtr()

## Function Documentation

## REPORT()

REPORT | ( | 0 |  | ) |

## if()

if | ( | isCoupling |  | ) |

Definition at line 30 of file initialize_Control.hpp.

References ControlPtr, readControlDict::endTime(), readControlDict::saveInterval(), readControlDict::startTime(), and readControlDict::startTimeName().

Here is the call graph for this function:

## Variable Documentation

## ControlPtr

pFlow::uniquePtr<pFlow::systemControl> ControlPtr = nullptr

Definition at line 28 of file initialize_Control.hpp.

Referenced by if().

## else

else

Initial value:
{
ControlPtr = pFlow::makeUnique<pFlow::systemControl>()

Definition at line 43 of file initialize_Control.hpp.

Referenced by Timer::write().

## Control

auto& Control = ControlPtr()

Definition at line 47 of file initialize_Control.hpp.

Referenced by main().

ControlPtr
pFlow::uniquePtr< pFlow::systemControl > ControlPtr
Definition: initialize_Control.hpp:28